%define major 0
%define libname   %mklibname cgmanager %{major}
%define develname %mklibname cgmanager -d
%define debugcflags	%nil
%define	debug_package	%nil

Name:		cgmanager
Version:	0.36
Release:	3
Summary:	Linux cgroup manager
URL:		https://linuxcontainers.org/cgmanager/introduction/
Source0:	https://linuxcontainers.org/downloads/%{name}/%{name}-%{version}.tar.gz
Group:		System/Kernel and hardware
License:	LGPLv2+
Epoch:		1

BuildRequires:	dbus-devel
BuildRequires:	libnih-devel
BuildRequires:	help2man

%description
CGManager is a central privileged daemon that manages all your cgroups
for you through a simple D-Bus API. It's designed to work with nested LXC
containers as well as accepting unprivileged requests including resolving
user namespaces UIDs/GIDs.

### ---------------------------------------------------------------------------------- ###

%package -n	%{libname}
Summary:	Shared library files for %{name}
Group:		System/Libraries

%description -n %{libname}
The %{name}-libs package contains libraries for running
%{name} applications.

### ---------------------------------------------------------------------------------- ###

%package -n	%{develname}
Summary:	Development library for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel

%description -n %{develname}
The %{name}-devel package contains header files and library
needed for development with %{name}.

### ---------------------------------------------------------------------------------- ###

%prep
%setup -q
%apply_patches

%build
%configure2_5x --with-distro=openmandriva --with-init-script=systemd
%make

%install
%makeinstall_std
find %{buildroot} -type f -name '*.la' -exec rm -f {} ';'
sed -i 's|ExecStart=/sbin/cgproxy|ExecStart=/usr/sbin/cgproxy|g' %{buildroot}/usr/lib/systemd/system/cgproxy.service
sed -i 's|ExecStart=/sbin/cgmanager|ExecStart=/usr/sbin/cgmanager|g' %{buildroot}/usr/lib/systemd/system/cgmanager.service
mkdir -p %{buildroot}%{_unitdir}
mv %{buildroot}/usr/lib/systemd/system/{cgmanager,cgproxy}.service %{buildroot}%{_unitdir}

#RPM build errors:
#	Installed (but unpackaged) file(s) found:
#		/usr/lib/systemd/system/cgmanager.service
#		/usr/lib/systemd/system/cgproxy.service

%files
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/%{name}/*
%{_unitdir}/*

%files	-n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files	-n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog

* Sat Jan 30 2016 Denis Silakov <dsilakov@gmail.com> 1:0.36-3
- (b0107ee) Upload sources


